---
name: 🐛 Bug report
about: Create a report to help us improve
labels: bug
---

<!--
Ouch, sorry you’ve run into a bug.  Thank for taking the time to report it!

Please fill in as much of the template below as you’re able.

P.S. have you seen our support and contributing docs?
https://github.com/redux-form/redux-form/blob/master/CONTRIBUTING.md
-->

### Subject of the issue

<!--
Describe your issue here.

This is _not_ a place to ask questions. Questions asked here will be closed.
For that, you can go to this places:

- [Gitter](https://gitter.im/erikras/redux-form)
- [StackOverflow](https://stackoverflow.com/questions/tagged/redux-form)
-->

### Your environment

| Software              | Version(s) |
| --------------------- | ---------- |
| `redux-form`          | 
| `redux`               | 
| `react-redux`         | 
| `react`               | 
| `react-dom`           | 
| `node`                | 
| `npm` if using        | 
| `yarn` if using       | 
| `flow` if using       | 
| `typescript` if using | 
| Browser               | 
| Operating System      | 

### Steps to reproduce

<!--
!!! IMPORTANT !!!
Tell us how to reproduce this issue. Please provide a working and simplified example.
If you're opening bug reports and not providing a Sandbox link, we may close your issue without notice.
Start from https://codesandbox.io/s/gJjDoKYWl or pick one the linked sandboxes on the README that is most like your app
!!! IMPORTANT !!!

🎉 BONUS POINTS for creating a [minimal reproduction](https://stackoverflow.com/help/mcve) and uploading it to GitHub. This will get you the fastest support. 🎉
-->

### Expected behaviour

<!-- What should happen? -->

### Actual behaviour

<!-- What happens instead? -->

### Other information

<!-- Include here any related information, stacktraces, related issues, links for Stack Overflow, Twitter, etc. -->
